'use strict';

class Vehicle {
  constructor() {  
    console.log(`Vehicle's constructor called...`);
    this.miles = 0;
  }                
  
  drive(dist) {
    console.log(`Vehicle's drive`);
    this.miles += dist;
  }  
  
  toString() {
    return `Vehicle with miles: ${this.miles}`
  }
}

class Car extends Vehicle {
  toString() {
    return `Car is a ${super.toString()}`;
  }
}

const car = new Car();
console.log(car.toString());

//default constructor automatically calls super(). No need  to write
//one if you don't need do anything special.